MCP Gateway
ApiTools

Lookup tool by name

Direct lookup of a tool by server name and tool name. No embeddings or search — for when the caller already knows which tool it wants.

GET
/api/v1/tools/by-name

Authorization

User API Key
AuthorizationBearer <token>

User API key (mgw_usr_live_* or mgw_usr_test_*)

In: header

Query Parameters

server_name*string
tool_name*string
access_token?|

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://loading/api/v1/tools/by-name?server_name=string&tool_name=string"
{
  "tool_id": "6c5cc6aa-c017-4456-ab57-583572511a6c",
  "tool_name": "string",
  "description": "string",
  "input_schema": {},
  "server_id": "820efca4-4a15-4ab7-82fc-9e76f6d61325",
  "server_name": "string",
  "server_type": "remote",
  "origin_type": "rest"
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "code": "string",
    "message": "string"
  }
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}